1. Packages
  2. Packages
  3. Azure Native
  4. API Docs
  5. datafactory
  6. PrivateEndpointConnection
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.23.0
published on Saturday, Jul 18, 2026 by Pulumi
azure-native logo
This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
Viewing docs for Azure Native v3.23.0
published on Saturday, Jul 18, 2026 by Pulumi

    Private Endpoint Connection ARM resource.

    Uses Azure REST API version 2018-06-01. In version 2.x of the Azure Native provider, it used API version 2018-06-01.

    Example Usage

    Approves or rejects a private endpoint connection for a factory.

    using System.Collections.Generic;
    using System.Linq;
    using Pulumi;
    using AzureNative = Pulumi.AzureNative;
    
    return await Deployment.RunAsync(() => 
    {
        var privateEndpointConnection = new AzureNative.DataFactory.PrivateEndpointConnection("privateEndpointConnection", new()
        {
            FactoryName = "exampleFactoryName",
            PrivateEndpointConnectionName = "connection",
            Properties = new AzureNative.DataFactory.Inputs.PrivateLinkConnectionApprovalRequestArgs
            {
                PrivateEndpoint = new AzureNative.DataFactory.Inputs.PrivateEndpointArgs
                {
                    Id = "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint",
                },
                PrivateLinkServiceConnectionState = new AzureNative.DataFactory.Inputs.PrivateLinkConnectionStateArgs
                {
                    ActionsRequired = "",
                    Description = "Approved by admin.",
                    Status = "Approved",
                },
            },
            ResourceGroupName = "exampleResourceGroup",
        });
    
    });
    
    package main
    
    import (
    	datafactory "github.com/pulumi/pulumi-azure-native-sdk/datafactory/v3"
    	"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
    )
    
    func main() {
    	pulumi.Run(func(ctx *pulumi.Context) error {
    		_, err := datafactory.NewPrivateEndpointConnection(ctx, "privateEndpointConnection", &datafactory.PrivateEndpointConnectionArgs{
    			FactoryName:                   pulumi.String("exampleFactoryName"),
    			PrivateEndpointConnectionName: pulumi.String("connection"),
    			Properties: &datafactory.PrivateLinkConnectionApprovalRequestArgs{
    				PrivateEndpoint: &datafactory.PrivateEndpointArgs{
    					Id: pulumi.String("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint"),
    				},
    				PrivateLinkServiceConnectionState: &datafactory.PrivateLinkConnectionStateArgs{
    					ActionsRequired: pulumi.String(""),
    					Description:     pulumi.String("Approved by admin."),
    					Status:          pulumi.String("Approved"),
    				},
    			},
    			ResourceGroupName: pulumi.String("exampleResourceGroup"),
    		})
    		if err != nil {
    			return err
    		}
    		return nil
    	})
    }
    
    pulumi {
      required_providers {
        azure-native = {
          source = "pulumi/azure-native"
        }
      }
    }
    
    resource "azure-native_datafactory_privateendpointconnection" "privateEndpointConnection" {
      factory_name                     = "exampleFactoryName"
      private_endpoint_connection_name = "connection"
      properties = {
        private_endpoint = {
          id = "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint"
        }
        private_link_service_connection_state = {
          actions_required = ""
          description      = "Approved by admin."
          status           = "Approved"
        }
      }
      resource_group_name = "exampleResourceGroup"
    }
    
    package generated_program;
    
    import com.pulumi.Context;
    import com.pulumi.Pulumi;
    import com.pulumi.core.Output;
    import com.pulumi.azurenative.datafactory.PrivateEndpointConnection;
    import com.pulumi.azurenative.datafactory.PrivateEndpointConnectionArgs;
    import com.pulumi.azurenative.datafactory.inputs.PrivateLinkConnectionApprovalRequestArgs;
    import com.pulumi.azurenative.datafactory.inputs.PrivateEndpointArgs;
    import com.pulumi.azurenative.datafactory.inputs.PrivateLinkConnectionStateArgs;
    import java.util.ArrayList;
    import java.util.Arrays;
    import java.util.Map;
    import java.io.File;
    import java.nio.file.Files;
    import java.nio.file.Paths;
    
    public class App {
        public static void main(String[] args) {
            Pulumi.run(App::stack);
        }
    
        public static void stack(Context ctx) {
            var privateEndpointConnection = new PrivateEndpointConnection("privateEndpointConnection", PrivateEndpointConnectionArgs.builder()
                .factoryName("exampleFactoryName")
                .privateEndpointConnectionName("connection")
                .properties(PrivateLinkConnectionApprovalRequestArgs.builder()
                    .privateEndpoint(PrivateEndpointArgs.builder()
                        .id("/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint")
                        .build())
                    .privateLinkServiceConnectionState(PrivateLinkConnectionStateArgs.builder()
                        .actionsRequired("")
                        .description("Approved by admin.")
                        .status("Approved")
                        .build())
                    .build())
                .resourceGroupName("exampleResourceGroup")
                .build());
    
        }
    }
    
    import * as pulumi from "@pulumi/pulumi";
    import * as azure_native from "@pulumi/azure-native";
    
    const privateEndpointConnection = new azure_native.datafactory.PrivateEndpointConnection("privateEndpointConnection", {
        factoryName: "exampleFactoryName",
        privateEndpointConnectionName: "connection",
        properties: {
            privateEndpoint: {
                id: "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint",
            },
            privateLinkServiceConnectionState: {
                actionsRequired: "",
                description: "Approved by admin.",
                status: "Approved",
            },
        },
        resourceGroupName: "exampleResourceGroup",
    });
    
    import pulumi
    import pulumi_azure_native as azure_native
    
    private_endpoint_connection = azure_native.datafactory.PrivateEndpointConnection("privateEndpointConnection",
        factory_name="exampleFactoryName",
        private_endpoint_connection_name="connection",
        properties={
            "private_endpoint": {
                "id": "/subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint",
            },
            "private_link_service_connection_state": {
                "actions_required": "",
                "description": "Approved by admin.",
                "status": "Approved",
            },
        },
        resource_group_name="exampleResourceGroup")
    
    resources:
      privateEndpointConnection:
        type: azure-native:datafactory:PrivateEndpointConnection
        properties:
          factoryName: exampleFactoryName
          privateEndpointConnectionName: connection
          properties:
            privateEndpoint:
              id: /subscriptions/12345678-1234-1234-1234-123456789012/resourceGroups/exampleResourceGroup/providers/Microsoft.DataFactory/factories/exampleFactoryName/privateEndpoints/myPrivateEndpoint
            privateLinkServiceConnectionState:
              actionsRequired: ""
              description: Approved by admin.
              status: Approved
          resourceGroupName: exampleResourceGroup
    

    Create PrivateEndpointConnection Resource

    Resources are created with functions called constructors. To learn more about declaring and configuring resources, see Resources.

    Constructor syntax

    new PrivateEndpointConnection(name: string, args: PrivateEndpointConnectionArgs, opts?: CustomResourceOptions);
    @overload
    def PrivateEndpointConnection(resource_name: str,
                                  args: PrivateEndpointConnectionArgs,
                                  opts: Optional[ResourceOptions] = None)
    
    @overload
    def PrivateEndpointConnection(resource_name: str,
                                  opts: Optional[ResourceOptions] = None,
                                  factory_name: Optional[str] = None,
                                  resource_group_name: Optional[str] = None,
                                  private_endpoint_connection_name: Optional[str] = None,
                                  properties: Optional[PrivateLinkConnectionApprovalRequestArgs] = None)
    func NewPrivateEndpointConnection(ctx *Context, name string, args PrivateEndpointConnectionArgs, opts ...ResourceOption) (*PrivateEndpointConnection, error)
    public PrivateEndpointConnection(string name, PrivateEndpointConnectionArgs args, CustomResourceOptions? opts = null)
    public PrivateEndpointConnection(String name, PrivateEndpointConnectionArgs args)
    public PrivateEndpointConnection(String name, PrivateEndpointConnectionArgs args, CustomResourceOptions options)
    
    type: azure-native:datafactory:PrivateEndpointConnection
    properties: # The arguments to resource properties.
    options: # Bag of options to control resource's behavior.
    
    
    resource "azure-native_datafactory_privateendpointconnection" "name" {
        # resource properties
    }

    Parameters

    name string
    The unique name of the resource.
    args PrivateEndpointConnectionArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    resource_name str
    The unique name of the resource.
    args PrivateEndpointConnectionArgs
    The arguments to resource properties.
    opts ResourceOptions
    Bag of options to control resource's behavior.
    ctx Context
    Context object for the current deployment.
    name string
    The unique name of the resource.
    args PrivateEndpointConnectionArgs
    The arguments to resource properties.
    opts ResourceOption
    Bag of options to control resource's behavior.
    name string
    The unique name of the resource.
    args PrivateEndpointConnectionArgs
    The arguments to resource properties.
    opts CustomResourceOptions
    Bag of options to control resource's behavior.
    name String
    The unique name of the resource.
    args PrivateEndpointConnectionArgs
    The arguments to resource properties.
    options CustomResourceOptions
    Bag of options to control resource's behavior.

    Constructor example

    The following reference example uses placeholder values for all input properties.

    var exampleprivateEndpointConnectionResourceResourceFromDatafactory = new AzureNative.DataFactory.PrivateEndpointConnection("exampleprivateEndpointConnectionResourceResourceFromDatafactory", new()
    {
        FactoryName = "string",
        ResourceGroupName = "string",
        PrivateEndpointConnectionName = "string",
        Properties = new AzureNative.DataFactory.Inputs.PrivateLinkConnectionApprovalRequestArgs
        {
            PrivateEndpoint = new AzureNative.DataFactory.Inputs.PrivateEndpointArgs
            {
                Id = "string",
            },
            PrivateLinkServiceConnectionState = new AzureNative.DataFactory.Inputs.PrivateLinkConnectionStateArgs
            {
                ActionsRequired = "string",
                Description = "string",
                Status = "string",
            },
        },
    });
    
    example, err := datafactory.NewPrivateEndpointConnection(ctx, "exampleprivateEndpointConnectionResourceResourceFromDatafactory", &datafactory.PrivateEndpointConnectionArgs{
    	FactoryName:                   pulumi.String("string"),
    	ResourceGroupName:             pulumi.String("string"),
    	PrivateEndpointConnectionName: pulumi.String("string"),
    	Properties: &datafactory.PrivateLinkConnectionApprovalRequestArgs{
    		PrivateEndpoint: &datafactory.PrivateEndpointArgs{
    			Id: pulumi.String("string"),
    		},
    		PrivateLinkServiceConnectionState: &datafactory.PrivateLinkConnectionStateArgs{
    			ActionsRequired: pulumi.String("string"),
    			Description:     pulumi.String("string"),
    			Status:          pulumi.String("string"),
    		},
    	},
    })
    
    resource "azure-native_datafactory_privateendpointconnection" "exampleprivateEndpointConnectionResourceResourceFromDatafactory" {
      factory_name                     = "string"
      resource_group_name              = "string"
      private_endpoint_connection_name = "string"
      properties = {
        private_endpoint = {
          id = "string"
        }
        private_link_service_connection_state = {
          actions_required = "string"
          description      = "string"
          status           = "string"
        }
      }
    }
    
    var exampleprivateEndpointConnectionResourceResourceFromDatafactory = new com.pulumi.azurenative.datafactory.PrivateEndpointConnection("exampleprivateEndpointConnectionResourceResourceFromDatafactory", com.pulumi.azurenative.datafactory.PrivateEndpointConnectionArgs.builder()
        .factoryName("string")
        .resourceGroupName("string")
        .privateEndpointConnectionName("string")
        .properties(PrivateLinkConnectionApprovalRequestArgs.builder()
            .privateEndpoint(com.pulumi.azurenative.datafactory.inputs.PrivateEndpointArgs.builder()
                .id("string")
                .build())
            .privateLinkServiceConnectionState(com.pulumi.azurenative.datafactory.inputs.PrivateLinkConnectionStateArgs.builder()
                .actionsRequired("string")
                .description("string")
                .status("string")
                .build())
            .build())
        .build());
    
    exampleprivate_endpoint_connection_resource_resource_from_datafactory = azure_native.datafactory.PrivateEndpointConnection("exampleprivateEndpointConnectionResourceResourceFromDatafactory",
        factory_name="string",
        resource_group_name="string",
        private_endpoint_connection_name="string",
        properties={
            "private_endpoint": {
                "id": "string",
            },
            "private_link_service_connection_state": {
                "actions_required": "string",
                "description": "string",
                "status": "string",
            },
        })
    
    const exampleprivateEndpointConnectionResourceResourceFromDatafactory = new azure_native.datafactory.PrivateEndpointConnection("exampleprivateEndpointConnectionResourceResourceFromDatafactory", {
        factoryName: "string",
        resourceGroupName: "string",
        privateEndpointConnectionName: "string",
        properties: {
            privateEndpoint: {
                id: "string",
            },
            privateLinkServiceConnectionState: {
                actionsRequired: "string",
                description: "string",
                status: "string",
            },
        },
    });
    
    type: azure-native:datafactory:PrivateEndpointConnection
    properties:
        factoryName: string
        privateEndpointConnectionName: string
        properties:
            privateEndpoint:
                id: string
            privateLinkServiceConnectionState:
                actionsRequired: string
                description: string
                status: string
        resourceGroupName: string
    

    PrivateEndpointConnection Resource Properties

    To learn more about resource properties and how to use them, see Inputs and Outputs in the Architecture and Concepts docs.

    Inputs

    In Python, inputs that are objects can be passed either as argument classes or as dictionary literals.

    The PrivateEndpointConnection resource accepts the following input properties:

    FactoryName string
    The factory name.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    PrivateEndpointConnectionName string
    The private endpoint connection name.
    Properties Pulumi.AzureNative.DataFactory.Inputs.PrivateLinkConnectionApprovalRequest
    Core resource properties
    FactoryName string
    The factory name.
    ResourceGroupName string
    The name of the resource group. The name is case insensitive.
    PrivateEndpointConnectionName string
    The private endpoint connection name.
    Properties PrivateLinkConnectionApprovalRequestArgs
    Core resource properties
    factory_name string
    The factory name.
    resource_group_name string
    The name of the resource group. The name is case insensitive.
    private_endpoint_connection_name string
    The private endpoint connection name.
    properties object
    Core resource properties
    factoryName String
    The factory name.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    privateEndpointConnectionName String
    The private endpoint connection name.
    properties PrivateLinkConnectionApprovalRequest
    Core resource properties
    factoryName string
    The factory name.
    resourceGroupName string
    The name of the resource group. The name is case insensitive.
    privateEndpointConnectionName string
    The private endpoint connection name.
    properties PrivateLinkConnectionApprovalRequest
    Core resource properties
    factory_name str
    The factory name.
    resource_group_name str
    The name of the resource group. The name is case insensitive.
    private_endpoint_connection_name str
    The private endpoint connection name.
    properties PrivateLinkConnectionApprovalRequestArgs
    Core resource properties
    factoryName String
    The factory name.
    resourceGroupName String
    The name of the resource group. The name is case insensitive.
    privateEndpointConnectionName String
    The private endpoint connection name.
    properties Property Map
    Core resource properties

    Outputs

    All input properties are implicitly available as output properties. Additionally, the PrivateEndpointConnection resource produces the following output properties:

    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData Pulumi.AzureNative.DataFactory.Outputs.SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    AzureApiVersion string
    The Azure API version of the resource.
    Etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    Id string
    The provider-assigned unique ID for this managed resource.
    Name string
    The name of the resource
    SystemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    Type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    system_data object
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion string
    The Azure API version of the resource.
    etag string
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id string
    The provider-assigned unique ID for this managed resource.
    name string
    The name of the resource
    systemData SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type string
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azure_api_version str
    The Azure API version of the resource.
    etag str
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id str
    The provider-assigned unique ID for this managed resource.
    name str
    The name of the resource
    system_data SystemDataResponse
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type str
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
    azureApiVersion String
    The Azure API version of the resource.
    etag String
    "If etag is provided in the response body, it may also be provided as a header per the normal etag convention. Entity tags are used for comparing two or more entities from the same requested resource. HTTP/1.1 uses entity tags in the etag (section 14.19), If-Match (section 14.24), If-None-Match (section 14.26), and If-Range (section 14.27) header fields.")
    id String
    The provider-assigned unique ID for this managed resource.
    name String
    The name of the resource
    systemData Property Map
    Azure Resource Manager metadata containing createdBy and modifiedBy information.
    type String
    The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

    Supporting Types

    ArmIdWrapperResponse, ArmIdWrapperResponseArgs

    A wrapper for an ARM resource id
    Id string
    Id string
    id string
    id String
    id string
    id str
    id String

    PrivateEndpoint, PrivateEndpointArgs

    Private endpoint which a connection belongs to.
    Id string
    The resource Id for private endpoint
    Id string
    The resource Id for private endpoint
    id string
    The resource Id for private endpoint
    id String
    The resource Id for private endpoint
    id string
    The resource Id for private endpoint
    id str
    The resource Id for private endpoint
    id String
    The resource Id for private endpoint

    PrivateLinkConnectionApprovalRequest, PrivateLinkConnectionApprovalRequestArgs

    A request to approve or reject a private endpoint connection
    PrivateEndpoint PrivateEndpoint
    The resource of private endpoint.
    PrivateLinkServiceConnectionState PrivateLinkConnectionState
    The state of a private link connection
    private_endpoint object
    The resource of private endpoint.
    private_link_service_connection_state object
    The state of a private link connection
    privateEndpoint PrivateEndpoint
    The resource of private endpoint.
    privateLinkServiceConnectionState PrivateLinkConnectionState
    The state of a private link connection
    privateEndpoint PrivateEndpoint
    The resource of private endpoint.
    privateLinkServiceConnectionState PrivateLinkConnectionState
    The state of a private link connection
    private_endpoint PrivateEndpoint
    The resource of private endpoint.
    private_link_service_connection_state PrivateLinkConnectionState
    The state of a private link connection
    privateEndpoint Property Map
    The resource of private endpoint.
    privateLinkServiceConnectionState Property Map
    The state of a private link connection

    PrivateLinkConnectionState, PrivateLinkConnectionStateArgs

    The state of a private link connection
    ActionsRequired string
    ActionsRequired for a private link connection
    Description string
    Description of a private link connection
    Status string
    Status of a private link connection
    ActionsRequired string
    ActionsRequired for a private link connection
    Description string
    Description of a private link connection
    Status string
    Status of a private link connection
    actions_required string
    ActionsRequired for a private link connection
    description string
    Description of a private link connection
    status string
    Status of a private link connection
    actionsRequired String
    ActionsRequired for a private link connection
    description String
    Description of a private link connection
    status String
    Status of a private link connection
    actionsRequired string
    ActionsRequired for a private link connection
    description string
    Description of a private link connection
    status string
    Status of a private link connection
    actions_required str
    ActionsRequired for a private link connection
    description str
    Description of a private link connection
    status str
    Status of a private link connection
    actionsRequired String
    ActionsRequired for a private link connection
    description String
    Description of a private link connection
    status String
    Status of a private link connection

    PrivateLinkConnectionStateResponse, PrivateLinkConnectionStateResponseArgs

    The state of a private link connection
    ActionsRequired string
    ActionsRequired for a private link connection
    Description string
    Description of a private link connection
    Status string
    Status of a private link connection
    ActionsRequired string
    ActionsRequired for a private link connection
    Description string
    Description of a private link connection
    Status string
    Status of a private link connection
    actions_required string
    ActionsRequired for a private link connection
    description string
    Description of a private link connection
    status string
    Status of a private link connection
    actionsRequired String
    ActionsRequired for a private link connection
    description String
    Description of a private link connection
    status String
    Status of a private link connection
    actionsRequired string
    ActionsRequired for a private link connection
    description string
    Description of a private link connection
    status string
    Status of a private link connection
    actions_required str
    ActionsRequired for a private link connection
    description str
    Description of a private link connection
    status str
    Status of a private link connection
    actionsRequired String
    ActionsRequired for a private link connection
    description String
    Description of a private link connection
    status String
    Status of a private link connection

    RemotePrivateEndpointConnectionResponse, RemotePrivateEndpointConnectionResponseArgs

    A remote private endpoint connection
    ProvisioningState string
    PrivateEndpoint ArmIdWrapperResponse
    PrivateEndpoint of a remote private endpoint connection
    PrivateLinkServiceConnectionState PrivateLinkConnectionStateResponse
    The state of a private link connection
    provisioning_state string
    private_endpoint object
    PrivateEndpoint of a remote private endpoint connection
    private_link_service_connection_state object
    The state of a private link connection
    provisioningState String
    privateEndpoint ArmIdWrapperResponse
    PrivateEndpoint of a remote private endpoint connection
    privateLinkServiceConnectionState PrivateLinkConnectionStateResponse
    The state of a private link connection
    provisioningState string
    privateEndpoint ArmIdWrapperResponse
    PrivateEndpoint of a remote private endpoint connection
    privateLinkServiceConnectionState PrivateLinkConnectionStateResponse
    The state of a private link connection
    provisioning_state str
    private_endpoint ArmIdWrapperResponse
    PrivateEndpoint of a remote private endpoint connection
    private_link_service_connection_state PrivateLinkConnectionStateResponse
    The state of a private link connection
    provisioningState String
    privateEndpoint Property Map
    PrivateEndpoint of a remote private endpoint connection
    privateLinkServiceConnectionState Property Map
    The state of a private link connection

    SystemDataResponse, SystemDataResponseArgs

    Metadata pertaining to creation and last modification of the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    CreatedAt string
    The timestamp of resource creation (UTC).
    CreatedBy string
    The identity that created the resource.
    CreatedByType string
    The type of identity that created the resource.
    LastModifiedAt string
    The timestamp of resource last modification (UTC)
    LastModifiedBy string
    The identity that last modified the resource.
    LastModifiedByType string
    The type of identity that last modified the resource.
    created_at string
    The timestamp of resource creation (UTC).
    created_by string
    The identity that created the resource.
    created_by_type string
    The type of identity that created the resource.
    last_modified_at string
    The timestamp of resource last modification (UTC)
    last_modified_by string
    The identity that last modified the resource.
    last_modified_by_type string
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.
    createdAt string
    The timestamp of resource creation (UTC).
    createdBy string
    The identity that created the resource.
    createdByType string
    The type of identity that created the resource.
    lastModifiedAt string
    The timestamp of resource last modification (UTC)
    lastModifiedBy string
    The identity that last modified the resource.
    lastModifiedByType string
    The type of identity that last modified the resource.
    created_at str
    The timestamp of resource creation (UTC).
    created_by str
    The identity that created the resource.
    created_by_type str
    The type of identity that created the resource.
    last_modified_at str
    The timestamp of resource last modification (UTC)
    last_modified_by str
    The identity that last modified the resource.
    last_modified_by_type str
    The type of identity that last modified the resource.
    createdAt String
    The timestamp of resource creation (UTC).
    createdBy String
    The identity that created the resource.
    createdByType String
    The type of identity that created the resource.
    lastModifiedAt String
    The timestamp of resource last modification (UTC)
    lastModifiedBy String
    The identity that last modified the resource.
    lastModifiedByType String
    The type of identity that last modified the resource.

    Import

    An existing resource can be imported using its type token, name, and identifier, e.g.

    $ pulumi import azure-native:datafactory:PrivateEndpointConnection exampleFactoryName /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DataFactory/factories/{factoryName}/privateEndpointConnections/{privateEndpointConnectionName} 
    

    To learn more about importing existing cloud resources, see Importing resources.

    Package Details

    Repository
    Azure Native pulumi/pulumi-azure-native
    License
    Apache-2.0
    azure-native logo
    This is the latest version of Azure Native. Use the Azure Native v2 docs if using the v2 version of this package.
    Viewing docs for Azure Native v3.23.0
    published on Saturday, Jul 18, 2026 by Pulumi

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial